# Copyright 2021, Mycroft AI Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# TODO - get rid of relative imports as soon as skills can be properly packaged with arbitrary module structures
from .config import WeatherConfig
from .dialog import (
    CurrentDialog,
    DailyDialog,
    HourlyDialog,
    WeatherDialog,
    WeeklyDialog,
    get_dialog_for_timeframe,
)
from .intent import WeatherIntent
from .util import LocationNotFoundError
from .weather import CURRENT, DAILY, Weather, HOURLY, WeatherReport
from .openmeteo import get_report

